GetChokepointDependencies
curl --request GET \
--url https://api.worldmonitor.app/api/supply-chain/v1/get-chokepoint-dependencies \
--header 'X-WorldMonitor-Key: <api-key>'import requests
url = "https://api.worldmonitor.app/api/supply-chain/v1/get-chokepoint-dependencies"
headers = {"X-WorldMonitor-Key": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'X-WorldMonitor-Key': '<api-key>'}};
fetch('https://api.worldmonitor.app/api/supply-chain/v1/get-chokepoint-dependencies', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"chokepoint": "example",
"chokepointId": "suez",
"dependencies": [
{
"band": "example",
"commodity": "example",
"commodityId": "example-id",
"countryIso2": "US",
"countryName": "US"
}
],
"generatedAt": "2026-01-15T12:00:00Z",
"methodologyVersion": "example"
}{
"violations": [
{
"field": "<string>",
"description": "<string>"
}
]
}{
"error": "<string>"
}{
"error": "<string>",
"code": "subscription_lapsed",
"requiredTier": 123,
"currentTier": 123,
"planKey": "<string>"
}{
"message": "<string>"
}{
"error": "<string>",
"code": "renewal_verification_pending",
"requiredTier": 123
}{
"message": "<string>"
}SupplyChainService
GetChokepointDependencies
GetChokepointDependencies returns the inverse country/commodity dependency index.
GET
/
api
/
supply-chain
/
v1
/
get-chokepoint-dependencies
GetChokepointDependencies
Authorizations
WorldMonitorKeyApiKeyHeader
User-issued WorldMonitor API key.
Query Parameters
Stable chokepoint identifier, such as hormuz_strait or suez.
Pattern:
^[a-z0-9_\-]+$Maximum dependencies to return; zero uses the server default and the maximum is 100.
Response
Successful response
Stable identifier of the requested chokepoint.
Human-readable chokepoint name.
Show child attributes
Show child attributes
ISO 8601 timestamp when the inverse index was generated.
Version of the scoring methodology used for every dependency.
True when the published inverse index could not be read.
Was this page helpful?
